
TYPO3.Neos - Bug # 49365

Status: Resolved Priority: Must have
Author: Hans Höchtl Category:
Created: 2013-06-23 Assigned To: Aske Ertmann
Updated: 2013-07-16 Due date:
Subject: Example plugins (youtube/registration) are not addable
Description

The plugins included in the demo are not longer visible in the newelement-popup so they seem to be not properly loaded.

Related issues:
related to TYPO3.Neos - Bug # 48331: Demo registration plugin throws exception Resolved 2013-05-17

History
#1 - 2013-07-11 23:21 - Aske Ertmann
- Target version set to 1.0 alpha 5

YouTube element gives this exception:

Exception while rendering .../element<TYPO3.NeosDemoTypo3Org:YouTube>:
Catchable Fatal Error: Argument 1 passed to TYPO3\Neos\ViewHelpers\ContentElementViewHelper_Original::render() must implement
interface TYPO3\TYPO3CR\Domain\Model\NodeInterface, null given in
/Users/aertmann/Sites/Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Neos_ViewHelpers_ContentElementViewHelper.php line 37 (2013071123182339c0a3)

iewHelper.php line 37 (2013071123182339c0a3)

#2 - 2013-07-15 14:29 - Aske Ertmann
- Priority changed from Should have to Must have

#3 - 2013-07-15 21:22 - Aske Ertmann
- Status changed from New to Accepted
- Assigned To set to Aske Ertmann

#4 - 2013-07-15 23:20 - Aske Ertmann
- Status changed from Accepted to New
- Assigned To deleted (Aske Ertmann)

#5 - 2013-07-16 12:50 - Tim Kandel
- Status changed from New to Accepted
- Assigned To set to Tim Kandel

#6 - 2013-07-16 18:58 - Tim Kandel
- Status changed from Accepted to Needs Feedback
- Assigned To deleted (Tim Kandel)

Is this still an issue now? I tried to reproduce it on several different Neos installations (running current master) but couldn't
#7 - 2013-07-16 19:20 - Aske Ertmann
- Assigned To set to Aske Ertmann

#8 - 2013-07-16 22:15 - Aske Ertmann
- Status changed from Needs Feedback to Resolved

I could reproduce this, but it was also fixed with https://review.typo3.org/#/c/22362/
https://review.typo3.org/#/c/22362/

